Bug 961459 - realmd various core dumps
realmd various core dumps
Status: CLOSED DUPLICATE of bug 953486
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 12:34 EDT by Patrik Kis
Modified: 2013-05-13 07:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 07:03:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2013-05-09 12:34:56 EDT
I found more core dumps for realmd in /var/tmp/abrt directory. I didn't noticed when they were created so cannot give any reproduction scenarion, they may be useful though.

[root@pkisf19 ccpp-2013-05-11-12:13:42-9069]# gdb /usr/lib64/realmd/realmd coredump
GNU gdb (GDB) Fedora (7.6-24.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib64/realmd/realmd...Reading symbols from /usr/lib/debug/usr/lib64/realmd/realmd.debug...done.
done.
[New LWP 9160]
[New LWP 9069]
[New LWP 9071]
[New LWP 9072]
[New LWP 9158]
[New LWP 9161]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Core was generated by `/usr/lib64/realmd/realmd'.
Program terminated with signal 6, Aborted.
#0  0x00007f36ed9a0819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) 
(gdb) bt
#0  0x00007f36ed9a0819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007f36ed9a1f28 in __GI_abort () at abort.c:90
#2  0x00007f36ef688615 in mem_error (format=format@entry=0x7f36ef72e2ad "assertion failed: %s") at gslice.c:1442
#3  0x00007f36ef6d0bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f36f151ba00) at gslice.c:1324
#4  0x00007f36ef6d0e56 in magazine_cache_trim (allocator=0x7f36ef999280 <allocator>, stamp=<optimized out>, ix=4048872608) at gslice.c:672
#5  magazine_cache_push_magazine (ix=ix@entry=1, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
#6  0x00007f36ef6d0fc2 in private_thread_memory_cleanup (data=0x7f36d00008c0) at gslice.c:770
#7  0x00007f36edd32a52 in __nptl_deallocate_tsd () at pthread_create.c:156
#8  0x00007f36edd32c61 in start_thread (arg=0x7f36e75e7700) at pthread_create.c:315
#9  0x00007f36eda5fecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb) bt f
#0  0x00007f36ed9a0819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 9069
        selftid = 9160
#1  0x00007f36ed9a1f28 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7f36d00008c0, sa_sigaction = 0x7f36d00008c0}, sa_mask = {__val = {1, 139873953646336, 139873932572838, 139869904961541, 0, 1, 139873891065088, 
              139873894946952, 139873953646336, 139873922245293, 139873932600021, 10, 139873891981181, 10, 139873894951456, 0}}, sa_flags = 10, sa_restorer = 0x7f36e75e7700}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007f36ef688615 in mem_error (format=format@entry=0x7f36ef72e2ad "assertion failed: %s") at gslice.c:1442
        pname = 0x7f36f1520700 "realmd"
        args = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7f36e75e6cf0, reg_save_area = 0x7f36e75e6c20}}
#3  0x00007f36ef6d0bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f36f151ba00) at gslice.c:1324
        chunk = <optimized out>
        was_empty = <optimized out>
        ix = 1
        page_size = <optimized out>
        addr = <optimized out>
        page = <optimized out>
        sinfo = <optimized out>
#4  0x00007f36ef6d0e56 in magazine_cache_trim (allocator=0x7f36ef999280 <allocator>, stamp=<optimized out>, ix=4048872608) at gslice.c:672
        chunk = 0x7f36f151ba00
        chunk_size = 32
        current = 0x7f36f154e420
        trash = 0x7f36f154e4a0
#5  magazine_cache_push_magazine (ix=ix@entry=1, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
        next = <optimized out>
        prev = <optimized out>
#6  0x00007f36ef6d0fc2 in private_thread_memory_cleanup (data=0x7f36d00008c0) at gslice.c:770
        mag = 0x7f36d00008e0
        mags = {0x7f36d00008e0, 0x7f36d0000cd0}
        tmem = 0x7f36d00008c0
        n_magazines = 63
        ix = 1
#7  0x00007f36edd32a52 in __nptl_deallocate_tsd () at pthread_create.c:156
        data = 0x236d
        idx = 0
        cnt = 139873786690072
#8  0x00007f36edd32c61 in start_thread (arg=0x7f36e75e7700) at pthread_create.c:315
        pd = 0x7f36e75e7700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139873786689280, -1395436999734975622, 0, 139873786689984, 139873786689280, 20, 1355486515926147962, 1355498651302372218}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#9  0x00007f36eda5fecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
No locals.
(gdb) q

More details is: abrt2.tgz

############################

[root@pkisf19 ccpp-2013-05-11-12:49:57-9761]# gdb /usr/lib64/realmd/realmd coredump
GNU gdb (GDB) Fedora (7.6-24.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib64/realmd/realmd...Reading symbols from /usr/lib/debug/usr/lib64/realmd/realmd.debug...done.
done.
[New LWP 9761]
[New LWP 9763]
[New LWP 9764]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/lib64/realmd/realmd'.
Program terminated with signal 6, Aborted.
#0  0x00007f5237328819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00007f5237328819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007f5237329f28 in __GI_abort () at abort.c:90
#2  0x00007f5239010615 in mem_error (format=format@entry=0x7f52390b62ad "assertion failed: %s") at gslice.c:1442
#3  0x00007f5239058bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f523b318dd0) at gslice.c:1324
#4  0x00007f5239058e56 in magazine_cache_trim (allocator=0x7f5239321280 <allocator>, stamp=<optimized out>, ix=<optimized out>) at gslice.c:672
#5  magazine_cache_push_magazine (ix=<optimized out>, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
#6  0x00007f5239010ae1 in thread_memory_magazine2_unload (ix=<optimized out>, tmem=<optimized out>) at gslice.c:802
#7  0x00007f5239059c98 in g_slice_free1 (mem_size=mem_size@entry=32, mem_block=0x7f523b302660) at gslice.c:1093
#8  0x00007f5239cb98d3 in config_line_free (data=<optimized out>) at realm-ini-config.c:114
#9  0x00007f5239cb990c in reset_config_data (self=self@entry=0x7f523b2f9a40) at realm-ini-config.c:253
#10 0x00007f5239cba74e in realm_ini_config_finalize (obj=0x7f523b2f9a40) at realm-ini-config.c:266
#11 0x00007f52395e741b in g_object_unref (_object=0x7f523b2f9a40) at gobject.c:3024
#12 0x00007f5239cc4152 in realm_samba_finalize (obj=0x7f523b2fad90) at realm-samba.c:621
#13 0x00007f52395e741b in g_object_unref (_object=0x7f523b2fad90) at gobject.c:3024
#14 0x00007f523902d5a3 in g_hash_table_remove_all_nodes (hash_table=0x7f523b2f99e0, notify=<optimized out>) at ghash.c:500
#15 0x00007f523902de25 in g_hash_table_unref (hash_table=0x7f523b2f99e0) at ghash.c:1026
#16 0x00007f5239cc2700 in realm_provider_finalize (obj=0x7f523b2e8550) at realm-provider.c:334
#17 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e8550) at gobject.c:3024
#18 0x00007f523903aad8 in g_list_foreach (list=<optimized out>, list@entry=0x7f523b308680, func=0x7f52395e7250 <g_object_unref>, user_data=user_data@entry=0x0) at glist.c:949
#19 0x00007f523903aafb in g_list_free_full (list=0x7f523b308680, free_func=<optimized out>) at glist.c:187
#20 0x00007f5239cb2fd8 in realm_all_provider_finalize (obj=0x7f523b2e82e0) at realm-all-provider.c:287
#21 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e82e0) at gobject.c:3024
#22 0x00007f52390237e8 in g_datalist_clear (datalist=0x0) at gdataset.c:277
#23 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e9e30) at gobject.c:3024
#24 0x00007f5239cb0ea8 in main (argc=1, argv=0x7fff811e2d48) at realm-daemon.c:554
(gdb) bt full
#0  0x00007f5237328819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 9761
        selftid = 9761
#1  0x00007f5237329f28 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x20, sa_sigaction = 0x20}, sa_mask = {__val = {51, 139991156922112, 139991131420838, 139990164045829, 0, 1, 139991089913088, 139991093794952, 
              139991156922112, 139991121093293, 139991131448021, 10, 139991090829181, 10, 139991093799456, 0}}, sa_flags = 10, sa_restorer = 0x7f5239c76880}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007f5239010615 in mem_error (format=format@entry=0x7f52390b62ad "assertion failed: %s") at gslice.c:1442
        pname = 0x7f523b2e1700 "realmd"
        args = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff811e2890, reg_save_area = 0x7fff811e27c0}}
#3  0x00007f5239058bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f523b318dd0) at gslice.c:1324
        chunk = <optimized out>
        was_empty = <optimized out>
        ix = 1
        page_size = <optimized out>
        addr = <optimized out>
        page = <optimized out>
        sinfo = <optimized out>
#4  0x00007f5239058e56 in magazine_cache_trim (allocator=0x7f5239321280 <allocator>, stamp=<optimized out>, ix=<optimized out>) at gslice.c:672
        chunk = 0x7f523b318dd0
        chunk_size = 32
        current = 0x7f52240050a0
        trash = 0x0
#5  magazine_cache_push_magazine (ix=<optimized out>, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
        next = <optimized out>
        prev = <optimized out>
#6  0x00007f5239010ae1 in thread_memory_magazine2_unload (ix=<optimized out>, tmem=<optimized out>) at gslice.c:802
        mag = 0x7f523b2d9ab0
#7  0x00007f5239059c98 in g_slice_free1 (mem_size=mem_size@entry=32, mem_block=0x7f523b302660) at gslice.c:1093
        tmem = 0x7f523b2d96a0
        ix = 1
        chunk_size = 32
#8  0x00007f5239cb98d3 in config_line_free (data=<optimized out>) at realm-ini-config.c:114
        line = <optimized out>
#9  0x00007f5239cb990c in reset_config_data (self=self@entry=0x7f523b2f9a40) at realm-ini-config.c:253
        line = <optimized out>
        next = 0x7f523b302680
#10 0x00007f5239cba74e in realm_ini_config_finalize (obj=0x7f523b2f9a40) at realm-ini-config.c:266
        self = 0x7f523b2f9a40
#11 0x00007f52395e741b in g_object_unref (_object=0x7f523b2f9a40) at gobject.c:3024
        weak_locations = <optimized out>
        object = 0x7f523b2f9a40
        old_ref = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_unref"
#12 0x00007f5239cc4152 in realm_samba_finalize (obj=0x7f523b2fad90) at realm-samba.c:621
        self = <optimized out>
#13 0x00007f52395e741b in g_object_unref (_object=0x7f523b2fad90) at gobject.c:3024
        weak_locations = <optimized out>
        object = 0x7f523b2fad90
        old_ref = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_unref"
---Type <return> to continue, or q <return> to quit--- 
#14 0x00007f523902d5a3 in g_hash_table_remove_all_nodes (hash_table=0x7f523b2f99e0, notify=<optimized out>) at ghash.c:500
        i = 5
        key = <optimized out>
        value = 0x7f523b2fad90
#15 0x00007f523902de25 in g_hash_table_unref (hash_table=0x7f523b2f99e0) at ghash.c:1026
        __PRETTY_FUNCTION__ = "g_hash_table_unref"
#16 0x00007f5239cc2700 in realm_provider_finalize (obj=0x7f523b2e8550) at realm-provider.c:334
        self = <optimized out>
#17 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e8550) at gobject.c:3024
        weak_locations = <optimized out>
        object = 0x7f523b2e8550
        old_ref = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_unref"
#18 0x00007f523903aad8 in g_list_foreach (list=<optimized out>, list@entry=0x7f523b308680, func=0x7f52395e7250 <g_object_unref>, user_data=user_data@entry=0x0) at glist.c:949
        next = 0x7f523b2f6100
#19 0x00007f523903aafb in g_list_free_full (list=0x7f523b308680, free_func=<optimized out>) at glist.c:187
No locals.
#20 0x00007f5239cb2fd8 in realm_all_provider_finalize (obj=0x7f523b2e82e0) at realm-all-provider.c:287
        self = 0x7f523b2e82e0
        l = 0x0
#21 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e82e0) at gobject.c:3024
        weak_locations = <optimized out>
        object = 0x7f523b2e82e0
        old_ref = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_unref"
#22 0x00007f52390237e8 in g_datalist_clear (datalist=0x0) at gdataset.c:277
        data = 0x7f523b30aef0
        i = 0
        __PRETTY_FUNCTION__ = "g_datalist_clear"
#23 0x00007f52395e741b in g_object_unref (_object=0x7f523b2e9e30) at gobject.c:3024
        weak_locations = <optimized out>
        object = 0x7f523b2e9e30
        old_ref = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_unref"
#24 0x00007f5239cb0ea8 in main (argc=1, argv=0x7fff811e2d48) at realm-daemon.c:554
        context = <optimized out>
        error = 0x0
        env = <optimized out>
        path = <optimized out>
        option_entries = {{long_name = 0x7f5239cd74fa "debug", short_name = 100 'd', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7f5239eec27c <service_debug>, 
            description = 0x7f5239cd7728 "Turn on debug output, prevent timeout exit", arg_description = 0x0}, {long_name = 0x7f5239cda6ee "install", short_name = 0 '\000', flags = 0, 
            arg = G_OPTION_ARG_STRING, arg_data = 0x7f5239eec270 <service_install>, description = 0x7f5239cd7758 "Turn on installer mode, install to this prefix", arg_description = 0x0}, {
            long_name = 0x7f5239cd7500 "dbus-peer", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_INT, arg_data = 0x7f5239eec050 <service_dbus_fd>, 
            description = 0x7f5239cd7788 "Use a peer to peer dbus connection on this fd", arg_description = 0x0}, {long_name = 0x7f5239cd750a "replace", short_name = 0 '\000', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0x7f5239eec278 <service_replace>, description = 0x7f5239cd77b8 "Replace a running realmd searvice", arg_description = 0x0}, {long_name = 0x0, 
            short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
(gdb) 

More details is: abrt3.tgz

#############################

[root@pkisf19 ccpp-2013-05-11-13:24:43-11226]# gdb /usr/lib64/realmd/realmd coredump
GNU gdb (GDB) Fedora (7.6-24.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib64/realmd/realmd...Reading symbols from /usr/lib/debug/usr/lib64/realmd/realmd.debug...done.
done.
[New LWP 11229]
[New LWP 11228]
[New LWP 11662]
[New LWP 11226]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/lib64/realmd/realmd'.
Program terminated with signal 6, Aborted.
#0  0x00007f8ba3466819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) 
(gdb) 
(gdb) 
(gdb) bt
#0  0x00007f8ba3466819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007f8ba3467f28 in __GI_abort () at abort.c:90
#2  0x00007f8ba514e615 in mem_error (format=format@entry=0x7f8ba51f42ad "assertion failed: %s") at gslice.c:1442
#3  0x00007f8ba5196bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f8ba65592a0) at gslice.c:1324
#4  0x00007f8ba5196e56 in magazine_cache_trim (allocator=0x7f8ba545f280 <allocator>, stamp=<optimized out>, ix=<optimized out>) at gslice.c:672
#5  magazine_cache_push_magazine (ix=<optimized out>, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
#6  0x00007f8ba514eae1 in thread_memory_magazine2_unload (ix=<optimized out>, tmem=<optimized out>) at gslice.c:802
#7  0x00007f8ba5197c98 in g_slice_free1 (mem_size=mem_size@entry=32, mem_block=0x7f8b94001460) at gslice.c:1093
#8  0x00007f8ba5178cca in g_main_context_remove_poll_unlocked (context=0x7f8b9000d900, fd=<optimized out>) at gmain.c:4172
#9  0x00007f8ba5178d24 in block_source (source=source@entry=0x7f8b94007710) at gmain.c:2943
#10 0x00007f8ba517c008 in g_main_dispatch (context=0x7f8b9000d900) at gmain.c:3031
#11 g_main_context_dispatch (context=context@entry=0x7f8b9000d900) at gmain.c:3630
#12 0x00007f8ba517c2a8 in g_main_context_iterate (context=0x7f8b9000d900, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#13 0x00007f8ba517c6aa in g_main_loop_run (loop=0x7f8b9000d2e0) at gmain.c:3895
#14 0x00007f8ba4c84b86 in gdbus_shared_thread_func (user_data=0x7f8b9000d8d0) at gdbusprivate.c:278
#15 0x00007f8ba51a02d5 in g_thread_proxy (data=0x7f8b90004b70) at gthread.c:798
#16 0x00007f8ba37f8c53 in start_thread (arg=0x7f8b9dabb700) at pthread_create.c:308
#17 0x00007f8ba3525ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb) 
#0  0x00007f8ba3466819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007f8ba3467f28 in __GI_abort () at abort.c:90
#2  0x00007f8ba514e615 in mem_error (format=format@entry=0x7f8ba51f42ad "assertion failed: %s") at gslice.c:1442
#3  0x00007f8ba5196bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f8ba65592a0) at gslice.c:1324
#4  0x00007f8ba5196e56 in magazine_cache_trim (allocator=0x7f8ba545f280 <allocator>, stamp=<optimized out>, ix=<optimized out>) at gslice.c:672
#5  magazine_cache_push_magazine (ix=<optimized out>, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
#6  0x00007f8ba514eae1 in thread_memory_magazine2_unload (ix=<optimized out>, tmem=<optimized out>) at gslice.c:802
#7  0x00007f8ba5197c98 in g_slice_free1 (mem_size=mem_size@entry=32, mem_block=0x7f8b94001460) at gslice.c:1093
#8  0x00007f8ba5178cca in g_main_context_remove_poll_unlocked (context=0x7f8b9000d900, fd=<optimized out>) at gmain.c:4172
#9  0x00007f8ba5178d24 in block_source (source=source@entry=0x7f8b94007710) at gmain.c:2943
#10 0x00007f8ba517c008 in g_main_dispatch (context=0x7f8b9000d900) at gmain.c:3031
#11 g_main_context_dispatch (context=context@entry=0x7f8b9000d900) at gmain.c:3630
#12 0x00007f8ba517c2a8 in g_main_context_iterate (context=0x7f8b9000d900, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#13 0x00007f8ba517c6aa in g_main_loop_run (loop=0x7f8b9000d2e0) at gmain.c:3895
#14 0x00007f8ba4c84b86 in gdbus_shared_thread_func (user_data=0x7f8b9000d8d0) at gdbusprivate.c:278
#15 0x00007f8ba51a02d5 in g_thread_proxy (data=0x7f8b90004b70) at gthread.c:798
#16 0x00007f8ba37f8c53 in start_thread (arg=0x7f8b9dabb700) at pthread_create.c:308
#17 0x00007f8ba3525ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb) bt full
#0  0x00007f8ba3466819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 11226
        selftid = 11229
#1  0x00007f8ba3467f28 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x20, sa_sigaction = 0x20}, sa_mask = {__val = {51, 140237766790000, 140237757798566, 140234977181701, 0, 1, 140237716290816, 140237720172680, 
              140237766790000, 140237747471021, 140237757825749, 10, 140237717206909, 10, 140237720177184, 0}}, sa_flags = 10, sa_restorer = 0x7f8b9dabb700}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007f8ba514e615 in mem_error (format=format@entry=0x7f8ba51f42ad "assertion failed: %s") at gslice.c:1442
        pname = 0x7f8ba6460b70 "realmd"
        args = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7f8b9dababe0, reg_save_area = 0x7f8b9dabab10}}
#3  0x00007f8ba5196bab in slab_allocator_free_chunk (chunk_size=chunk_size@entry=32, mem=mem@entry=0x7f8ba65592a0) at gslice.c:1324
        chunk = <optimized out>
        was_empty = <optimized out>
        ix = 1
        page_size = <optimized out>
        addr = <optimized out>
        page = <optimized out>
        sinfo = <optimized out>
#4  0x00007f8ba5196e56 in magazine_cache_trim (allocator=0x7f8ba545f280 <allocator>, stamp=<optimized out>, ix=<optimized out>) at gslice.c:672
        chunk = 0x7f8ba65592a0
        chunk_size = 32
        current = 0x7f8ba648bea0
        trash = 0x7f8b94001280
#5  magazine_cache_push_magazine (ix=<optimized out>, magazine_chunks=<optimized out>, count=<optimized out>) at gslice.c:703
        next = <optimized out>
        prev = <optimized out>
#6  0x00007f8ba514eae1 in thread_memory_magazine2_unload (ix=<optimized out>, tmem=<optimized out>) at gslice.c:802
        mag = 0x7f8b94000cd0
#7  0x00007f8ba5197c98 in g_slice_free1 (mem_size=mem_size@entry=32, mem_block=0x7f8b94001460) at gslice.c:1093
        tmem = 0x7f8b940008c0
        ix = 1
        chunk_size = 32
#8  0x00007f8ba5178cca in g_main_context_remove_poll_unlocked (context=0x7f8b9000d900, fd=<optimized out>) at gmain.c:4172
        pollrec = <optimized out>
        prevrec = <optimized out>
        nextrec = <optimized out>
#9  0x00007f8ba5178d24 in block_source (source=source@entry=0x7f8b94007710) at gmain.c:2943
        tmp_list = 0x7f8b940018b0
        __PRETTY_FUNCTION__ = "block_source"
#10 0x00007f8ba517c008 in g_main_dispatch (context=0x7f8b9000d900) at gmain.c:3031
        dispatch = 0x7f8ba4c2a240 <socket_source_dispatch>
        was_in_call = <optimized out>
        user_data = 0x0
        callback = 0x0
        cb_funcs = 0x7f8ba545e900 <g_source_callback_funcs>
        cb_data = 0x7f8b94007380
        need_destroy = <optimized out>
        current_source_link = {data = 0x0, next = 0x0}
        source = 0x7f8b94007710
        current = 0x7f8b9000d6a0
        i = 0
---Type <return> to continue, or q <return> to quit--- 
#11 g_main_context_dispatch (context=context@entry=0x7f8b9000d900) at gmain.c:3630
No locals.
#12 0x00007f8ba517c2a8 in g_main_context_iterate (context=0x7f8b9000d900, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
        max_priority = 2147483647
        timeout = -1
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = 3
        fds = 0x7f8b940010c0
#13 0x00007f8ba517c6aa in g_main_loop_run (loop=0x7f8b9000d2e0) at gmain.c:3895
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#14 0x00007f8ba4c84b86 in gdbus_shared_thread_func (user_data=0x7f8b9000d8d0) at gdbusprivate.c:278
        data = 0x7f8b9000d8d0
#15 0x00007f8ba51a02d5 in g_thread_proxy (data=0x7f8b90004b70) at gthread.c:798
        thread = 0x7f8b90004b70
#16 0x00007f8ba37f8c53 in start_thread (arg=0x7f8b9dabb700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f8b9dabb700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140237622458112, 6775582538908337129, 0, 140237622458816, 140237622458112, 140237393156304, -6840810342051183639, -6840701113524386839}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#17 0x00007f8ba3525ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
No locals.
(gdb) 
(gdb) q
[root@pkisf19 ccpp-2013-05-11-13:24:43-11226]# 

More details in abrt4.tgz
Comment 1 Stef Walter 2013-05-13 07:03:48 EDT

*** This bug has been marked as a duplicate of bug 953486 ***

Note You need to log in before you can comment on or make changes to this bug.